Loading...
Searching...
No Matches
Opm::DifferentiateOutputTable::Descriptor Struct Reference

Columnar data differentantiation table request. More...

`#include <LinearisedOutputTable.hpp>`

## Public Attributes

std::size_t | tableID { 0 }
| Table ID–usually corresponds to the region ID of a tabulated function pertaining to a specific region of a simulation model.
std::size_t | primID { 0 }
| Primary ID–nontrivial (`!=` 0) only for miscible PVT tables for oil or gas in which case this entry refers to a particular dissolved gas-oil ratio (Rs) or gas pressure (Pg) node.
std::size_t | numActRows { 0 }
| Number of active rows in this subtable.

## Detailed Description

Columnar data differentantiation table request.

Refers to the sub-table with a specific primary ID within a specific table of a `LinearisedOutputTable`.

The documentation for this struct was generated from the following file:

- opm/output/eclipse/LinearisedOutputTable.hpp